MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023379Community[OCCT] OCCT:Data Exchangepublic2012-08-15 12:002013-04-29 15:21
ReporterPawel 
Assigned Toika 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023379: Exporting single point into STEP produces a compound with two points
DescriptionAs stated above, exporting a single point into STEP and then importing it from STEP again produces a compound containing two other compounds with a single point.
Other systems interpret the imported STEP file in a similar way (producing two points), so I guess this is a problem with export (rather than import).
Steps To ReproduceDraw reproducer:

pload ALL
restore point.brep point
stepwrite 0 point point.step
stepread point.step a *
explode a_1
TagsNo tags attached.
Test case numberbugs step(008) bug23379
Attached Files? file icon point.brep (229 bytes) 2012-08-15 12:00
? file icon point.step (1,908 bytes) 2012-08-15 12:01

- Relationships

-  Notes
(0022206)
ika (developer)
2012-11-12 13:17

Adding single vertex for second time was removed.

Git branch CR23379 is ready to be reviewed.

Dear GKA,
Please review.
(0022258)
gka (developer)
2012-11-15 11:55

Branch CR23379 is ready to be tested
(0022298)
mkv (tester)
2012-11-19 17:59

Dear BugMaster,
Branch CR23379 (and master from occt GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
chp 009 A1 - OK.
bugs step(008) bug23379 - OK.

- Related Changesets
occt: master 66d6976f
Timestamp: 2012-11-23 10:57:23
Author: ika
Details ] Diff ]
0023379: Exporting single point into STEP produces a compound with two points

Adding single vertex for second time was removed.
Adding single vertex in first time was removed, but for second time was returned.
Duplication of vertex compound in STEPControl_GeometricCurveSet mode was removed.
Some cosmetic changes
Test case for this bug
mod - src/STEPControl/STEPControl_ActorWrite.cxx Diff ] File ]
add - tests/bugs/step/bug23379 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-08-15 12:00 Pawel New Issue
2012-08-15 12:00 Pawel Assigned To => bugmaster
2012-08-15 12:00 Pawel File Added: point.brep
2012-08-15 12:01 Pawel File Added: point.step
2012-08-17 16:38 bugmaster Assigned To bugmaster => gka
2012-08-17 16:38 bugmaster Status new => assigned
2012-10-19 17:32 gka Assigned To gka => omy
2012-10-19 17:32 gka Target Version 6.5.4 => 6.6.0
2012-10-26 20:30 abv Assigned To omy => ika
2012-11-12 13:17 ika Note Added: 0022206
2012-11-12 13:17 ika Assigned To ika => gka
2012-11-12 13:17 ika Status assigned => resolved
2012-11-15 11:55 gka Note Added: 0022258
2012-11-15 11:55 gka Status resolved => reviewed
2012-11-16 15:09 mkv Assigned To gka => mkv
2012-11-19 17:59 mkv Note Added: 0022298
2012-11-19 18:07 mkv Test case number => bugs step(008) bug23379
2012-11-19 18:07 mkv Assigned To mkv => bugmaster
2012-11-19 18:07 mkv Status reviewed => tested
2012-11-26 15:45 ika Changeset attached => occt master 66d6976f
2012-11-26 15:45 ika Assigned To bugmaster => ika
2012-11-26 15:45 ika Status tested => verified
2012-11-26 15:45 ika Resolution open => fixed
2012-12-10 17:16 ika Changeset attached => occt master 66d6976f
2013-04-23 13:36 user533 Status verified => closed
2013-04-29 15:21 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker